# Get Call ID

Get the details of an API call from the [API Call History](/navigation/api-call-history.md).

Returns: API call details.

{% code overflow="wrap" %}

```shellscript
GET /{tenant}/api/v3/log/getexecutionhistorybycallid/{callId}/{index}
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client Credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.
* API key created from [Authorization - API keys](/spark-apis/authorization-api-keys.md).\
  The [Authorization - API keys](/spark-apis/authorization-api-keys.md#api-key-groups) must contain [Manage users](/tenant-administration/manage-users.md#user-groups) that are also assigned to [Permissions - Features permissions](/spark-apis/authorization-api-keys/permissions-features-permissions.md) `Spark.DownloadAPILog.json` or `Spark.AllEncompassingProxy.json`.
  * The request headers should include the keys `x-synthetic-key` and `x-tenant-name` with the values of the API key and tenant name respectively.

### Path parameters

| Key         | Value                                                                                                                                                                                  |
| ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tenant` \* | Tenant is part of your [Login and logout](/navigation/login-and-logout.md#log-in-to-spark) URL and also available in the  [Navigation menu](/navigation/navigation-menu.md#user-menu). |
| `callId` \* | [Execute API](/spark-apis/execute-api.md) `call_id`.                                                                                                                                   |

### Query parameters

| Key     | Value                                                                                                                                                      |
| ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `index` | Index number for the record to get. With [Execute API (v4)](/spark-apis/execute-api/execute-api-v4.md), multiple request records can be submitted at once. |

### Sample request with API key

See [How to: Setup a feature permission](/spark-apis/authorization-api-keys/how-to-setup-a-feature-permission.md) for guidance in assigning the enable the [Authorization - API keys](/spark-apis/authorization-api-keys.md) to access [Permissions - Features permissions](/spark-apis/authorization-api-keys/permissions-features-permissions.md)`Spark.DownloadServiceByCallId.json`.

```sh
curl --location --request 'https://excel.myenvironmentname.coherent.global/mytenantname/api/v3/log/getexecutionhistorybycallid/a5c6a61f-06f8-499b-8a4d-818be4e74d29' \
--header 'x-tenant-name: mytenantname' \
--header 'x-synthetic-key: 5458626120e2'
--data ''
```

### Sample response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "status": "Success",
    "response_data": "{\"EngineCallId\":\"2ffe2c1b-d68b-46e0-ad53-eeaf150f43ee\",\"LogTime\":\"2025-08-14T07:31:58.512891\",\"TransactionDate\":\"2025-08-14T07:31:58.063123\",\"SourceSystem\":\"SPARK\",\"Purpose\":\"Spark - API Tester\",\"UserName\":\"user@coherent.global\",\"HostName\":\"excel.myenvironmentname.coherent.global\",\"Tenant\":\"coherent\",\"Service\":\"myservice\",\"Product\":\"myfolder\",\"EngineDetails\":{\"response_data\":{\"outputs\":{\"AplusB\":5},\"warnings\":null,\"errors\":null,\"service_chain\":null},\"response_meta\":{\"spark_total_time\":458,\"service_id\":\"8b750c74-9e35-470f-8c2c-4173970112c3\",\"version_id\":\"79bff638-43a1-4bfd-acf6-40d2e41c0621\",\"version\":\"0.4.4\",\"process_time\":21,\"call_id\":\"a5c6a61f-06f8-499b-8a4d-818be4e74d29\",\"compiler_type\":\"Neuron\",\"compiler_version\":\"1.23.1\",\"source_hash\":null,\"engine_id\":\"123C377A0A908C9D8FD29916F3BA9C14\",\"correlation_id\":\"\",\"parameterset_version_id\":null,\"system\":\"SPARK\",\"request_timestamp\":\"2025-08-14T07:31:58.046Z\"},\"request_data\":{\"inputs\":{\"A\":2,\"B\":3}},\"request_meta\":{\"service_uri\":null,\"service_id\":\"8b750c74-9e35-470f-8c2c-4173970112c3\",\"version\":\"0.4.4\",\"version_id\":\"79bff638-43a1-4bfd-acf6-40d2e41c0621\",\"transaction_date\":\"2025-08-14T07:31:58.0631228Z\",\"call_purpose\":\"Spark - API Tester\",\"source_system\":\"SPARK\",\"correlation_id\":\"\",\"requested_output\":null,\"service_category\":\"\",\"compiler_type\":\"Neuron\",\"array_outputs\":null,\"response_data_inputs\":false,\"parameterset_version_id\":null,\"validation_type\":null,\"xreport_options\":null}},\"CalcTime\":21,\"SparkTotalTime\":458,\"ServiceRevision\":\"0.4.4\",\"APIVersion\":\"V3\",\"ControlLogReference\":null}",
    "response_meta": {
        "system": "SPARK",
        "request_timestamp": "2025-08-14T07:32:22.271Z"
    },
    "error": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherent.global/spark-apis/api-call-history-apis/get-call-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
